/*************************************************************************/
/*************************************************************************/
/* H. Timucin OZDEMIR                                                    */
/* Date : May, 1997                                                      */
/* File Name : City.cc                                                   */
/*************************************************************************/
/*************************************************************************/

#include <iostream.h>
#include <string.h>
#include "City.h"

City::City()
{  name[0]=NULL;
   index = -1;
}// end of constructor

City::City(char *_name, unsigned _index)
{  strncpy(name,_name,30);
   index = _index;
}// end of constructor

City::City(const City& RHS)
{  strncpy(name,RHS.getName(),30);
   index = RHS.getIndex();
}// end of COPY constructor

City::~City() { } //cout << " de allocate City() " << endl; }

char * City::getName() const 
{ 
   char ret[30];
   strncpy(ret,name,30);	
   return name; 
}

unsigned City::getIndex() const { return index; }

City::operator==(const City& RHS)
{  return (!strcmp(name,RHS.getName()));
}// end of operator==()

City City::operator=(const City& RHS)
{  strncpy(name,RHS.getName(),30);
   index = RHS.getIndex();
   return (*this);
}// end of operator=()

ostream & operator<<(ostream & os, const City& RHS)
{  os << " " << RHS.name << "( " << RHS.index << ") ";
   return os;
}// end of operator<<()

